## freeswitch-e90407b8b37b87abc95d7b1e743afa7b5f9ba72c.zip

=== libs/esl/Makefile ===
PWD=$(shell pwd)
INCS=-I$(PWD)/src/include
LIBEDIT_DIR=../../libs/libedit
DEBUG=-g -ggdb
BASE_FLAGS=$(INCS) -DHAVE_EDITLINE $(DEBUG) -I$(LIBEDIT_DIR)/src/ -fPIC
PICKY=-O2 -ffast-math -Wall -Werror -Wunused-variable -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes
CFLAGS=$(BASE_FLAGS) $(PICKY)
CXXFLAGS=$(BASE_FLAGS) -Wall -Werror -Wno-unused-variable
MYLIB=libesl.a
LIBS=-lncurses -lpthread -lesl
LDFLAGS=-L.
OBJS=src/esl.o src/esl_event.o src/esl_threadmutex.o src/esl_config.o
SRC=src/esl.c src/esl_event.c src/esl_threadmutex.c src/esl_config.c src/esl_oop.cpp
HEADERS=src/include/esl_config.h src/include/esl_event.h src/include/esl.h src/include/esl_threadmutex.h src/include/esl_oop.h
SOLINK=-shared -Xlinker -x
# comment the next line to disable c++ (no swig mods for you then)
OBJS += src/esl_oop.o

all: $(MYLIB) fs_cli testclient testserver ivrd

$(MYLIB): $(OBJS) $(HEADERS) $(SRC)
	ar rcs $(MYLIB) $(OBJS)
	ranlib $(MYLIB)

testserver: $(MYLIB) testserver.c
	$(CC) $(CC_CFLAGS) $(CFLAGS) testserver.c -o testserver $(LDFLAGS) $(LIBS)

ivrd: $(MYLIB) ivrd.c
	$(CC) $(CC_CFLAGS) $(CFLAGS) ivrd.c -o ivrd $(LDFLAGS) $(LIBS)

testclient: $(MYLIB) testclient.c
	$(CC) $(CC_CFLAGS) $(CFLAGS) testclient.c -o testclient $(LDFLAGS) $(LIBS)

fs_cli: $(MYLIB) fs_cli.c
	$(CC) $(CC_CFLAGS) $(CFLAGS) fs_cli.c -o fs_cli $(LDFLAGS) -L$(LIBEDIT_DIR)/src/.libs $(LIBS) -ledit

%.o: %.c
	$(CC) $(CC_CFLAGS) $(CFLAGS) -c $< -o $@

%.o: %.cpp
	$(CXX) $(CXX_CFLAGS) $(CXXFLAGS) -c $< -o $@

clean:
	rm -f *.o src/*.o testclient testserver ivrd fs_cli libesl.a *~ src/*~ src/include/*~
	$(MAKE) -C perl clean
	$(MAKE) -C php clean
	$(MAKE) -C lua clean
	$(MAKE) -C python clean
	$(MAKE) -C ruby clean
	$(MAKE) -C java clean
	$(MAKE) -C managed clean

reswig:	swigclean
	$(MAKE) -C perl reswig
	$(MAKE) -C php reswig
	$(MAKE) -C lua reswig
	$(MAKE) -C python reswig
	$(MAKE) -C ruby reswig
	$(MAKE) -C java reswig
	$(MAKE) -C managed reswig

swigclean: clean
	$(MAKE) -C perl swigclean
	$(MAKE) -C php swigclean
	$(MAKE) -C lua swigclean
	$(MAKE) -C python swigclean
	$(MAKE) -C ruby swigclean
	$(MAKE) -C java swigclean
	$(MAKE) -C managed swigclean

perlmod: $(MYLIB)
	$(MAKE) MYLIB="../$(MYLIB)" SOLINK="$(SOLINK)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CXX_CFLAGS="$(CXX_CFLAGS)" -C perl

phpmod: $(MYLIB)
	$(MAKE) MYLIB="../$(MYLIB)" SOLINK="$(SOLINK)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CXX_CFLAGS="$(CXX_CFLAGS)" -C php 

luamod: $(MYLIB)
	$(MAKE) MYLIB="../$(MYLIB)" SOLINK="$(SOLINK)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CXX_CFLAGS="$(CXX_CFLAGS)" -C lua

pymod: $(MYLIB)
	$(MAKE) MYLIB="../$(MYLIB)" SOLINK="$(SOLINK)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CXX_CFLAGS="$(CXX_CFLAGS)" -C python

rubymod: $(MYLIB)
	$(MAKE) MYLIB="../$(MYLIB)" SOLINK="$(SOLINK)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CXX_CFLAGS="$(CXX_CFLAGS)" -C ruby

javamod: $(MYLIB)
	$(MAKE) MYLIB="../$(MYLIB)" SOLINK="$(SOLINK)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CXX_CFLAGS="$(CXX_CFLAGS)" -C java

managedmod: $(MYLIB)
	$(MAKE) MYLIB="../$(MYLIB)" SOLINK="$(SOLINK)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CXX_CFLAGS="$(CXX_CFLAGS)" -C managed

phpmod-install: phpmod
	$(MAKE) -C php install

everymod: perlmod phpmod luamod pymod rubymod javamod managedmod

=== src/mod/applications/mod_fax/Makefile ===
BASE=../../../..

TIFF_DIR=$(BASE)/libs/tiff-3.8.2
TIFF_LA=$(TIFF_DIR)/libtiff/libtiff.la

SPANDSP_DIR=$(BASE)/libs/spandsp
SPANDSP_LA=$(SPANDSP_DIR)/src/libspandsp.la

LOCAL_CFLAGS=-I$(SPANDSP_DIR)/src -I$(TIFF_DIR)/libtiff
LOCAL_LIBADD=$(SPANDSP_LA)

include $(BASE)/build/modmake.rules

$(SPANDSP_LA): $(TIFF_LA) $(SPANDSP_DIR) $(SPANDSP_DIR)/.update
	cd $(SPANDSP_DIR) && $(MAKE)
	$(TOUCH_TARGET)

$(TIFF_LA): $(TIFF_DIR) $(TIFF_DIR)/.update
	cd $(TIFF_DIR) && $(MAKE)
	$(TOUCH_TARGET)

=== src/mod/applications/mod_memcache/Makefile ===
MEMCACHED=libmemcached-0.32
switch_srcdir=../../../..

WANT_CURL=yes

MEMCACHED_DIR=$(switch_srcdir)/libs/$(MEMCACHED)

MEMCACHEDLA=$(MEMCACHED_DIR)/libmemcached/libmemcached.la

LOCAL_CFLAGS=-I$(MEMCACHED_DIR)
LOCAL_LIBADD=$(MEMCACHEDLA)

include $(switch_srcdir)/build/modmake.rules

DEFAULT_ARGS=--prefix=$(PREFIX) --disable-shared --with-pic

$(LOCAL_OBJS): $(LOCAL_SOURCES)

$(MEMCACHED_DIR):
	$(GETLIB) $(MEMCACHED).tar.gz

$(MEMCACHED_DIR)/Makefile: $(MEMCACHED_DIR)
	cd $(MEMCACHED_DIR) && CFLAGS=$(AM_CFLAGS) CC=$(CC) CXX=$(CXX) ./configure --disable-shared --with-pic --with-memcached=no CPPFLAGS= LDFLAGS=
	$(TOUCH_TARGET)

$(MEMCACHEDLA): $(MEMCACHED_DIR)/Makefile
	cd $(MEMCACHED_DIR) && $(MAKE)
	$(TOUCH_TARGET)

=== src/mod/codecs/mod_celt/Makefile ===
BASE=../../../..

CELT=celt-0.7.0

CELT_DIR=$(BASE)/libs/$(CELT)
LOCAL_CFLAGS=-I$(CELT_DIR)/libcelt
CELT_LA=$(CELT_DIR)/libcelt/.libs/libcelt.la
LOCAL_LIBADD=$(CELT_LA)
include $(BASE)/build/modmake.rules

$(CELT_DIR):
	$(GETLIB) $(CELT).tar.gz

$(CELT_DIR)/Makefile: $(CELT_DIR)
	cd $(CELT_DIR) && CFLAGS=$(AM_CFLAGS) ./configure --disable-shared --with-pic

$(CELT_LA): $(CELT_DIR)/Makefile
	cd $(CELT_DIR) && $(MAKE)
	$(TOUCH_TARGET)

=== src/mod/codecs/mod_voipcodecs/Makefile ===
BASE=../../../..

TIFF_DIR=$(BASE)/libs/tiff-3.8.2
TIFF_LA=$(TIFF_DIR)/libtiff/libtiff.la

SPANDSP_DIR=$(BASE)/libs/spandsp
SPANDSP_LA=$(SPANDSP_DIR)/src/libspandsp.la

LOCAL_CFLAGS=-I$(SPANDSP_DIR)/src -I$(TIFF_DIR)/libtiff
LOCAL_LIBADD=$(SPANDSP_LA)

include $(BASE)/build/modmake.rules

$(SPANDSP_LA): $(TIFF_LA) $(SPANDSP_DIR) $(SPANDSP_DIR)/.update
	cd $(SPANDSP_DIR) && $(MAKE)
	$(TOUCH_TARGET)

$(TIFF_LA): $(TIFF_DIR) $(TIFF_DIR)/.update
	cd $(TIFF_DIR) && $(MAKE)
	$(TOUCH_TARGET)

=== src/mod/directories/mod_ldap/Makefile ===
switch_srcdir=../../../..

LDAP=openldap-2.4.11
LDAP_DIR=$(switch_srcdir)/libs/$(LDAP)

LDAPLA=$(LDAP_DIR)/libraries/libldap_r/libldap_r.la
LIBLBERLA=$(LDAP_DIR)/libraries/liblber/liblber.la

LOCAL_CFLAGS=-DWITH_OPENLDAP -DLDAP_DEPRECATED -I$(LDAP_DIR)/include

DEFAULT_ARGS= --prefix=$(PREFIX) --disable-shared --with-pic --disable-slapd
DEFAULT_ARGS+= --disable-bdb --disable-hdb

LOCAL_LIBADD=$(LDAPLA) $(LIBLBERLA)

include $(switch_srcdir)/build/modmake.rules

$(LDAP_DIR):
	$(GETLIB) $(LDAP).tar.gz
	cd $(LDAP_DIR) && CFLAGS="`echo $(CFLAGS) | sed -e 's:-std=c99::'`" ./configure $(DEFAULT_ARGS)

$(LDAPLA) $(LIBLBERLA): $(LDAP_DIR)
	cd $(LDAP_DIR) && $(MAKE)
	$(TOUCH_TARGET)

=== debian/changelog ===
freeswitch (1.0.4-1) unstable; urgency=low

    * new

 -- Mike Jerris <mike@jerris.com>  Mon, 18 Feb 2009 17:39:00 -0500

freeswitch (1.0.3-1) unstable; urgency=low

   * build: add targets cd-sounds[-install] and cd-moh[-install] for 48k sounds (r:11151)
   * build: autoconf detect odbc library (FSBUILD-8)
   * build: fix sound install on windows build (r:11635,11638)
   * build: fix configure --sysconfdir (FSBUILD-84)
   * build: fix uclibc build (MODLANG-99)
   * build: fix adduser in debian (FSBUILD-122, FSBUILD-102)
   * core: fix buffering issues (r:11101,11145,11152-11157,11162,11191,11200)
   * core: fix c leg no hangup when converting attended to blind transfer before b leg answers (MODENDP-165/r:11061)
   * core: fix codec and media handling issues (r:11104) 
   * core: fix double close of file handles and add recording of native files (r:11108-11113,11482,11483)
   * core: fix file resampling issue (r:11090)
   * core: fix incorrect call progress timestamps in timetable (r:11186-11187/FSCORE-268)
   * core: fix media handling issues (r:11079-11082)
   * core: fix multiple 2833 dtmf handling issues (r:11149,11261,11262,11266,11293,11294,11338/FSCORE-266,FSCORE-273)
   * core: send more event types verbos bridge,unbridge,park,unpark (r:11097-11098)
   * core: Prevent media setup on failed originates (r:11462/FSCORE-279)
   * core: fix recorded soundfiles had random data at end of file (r:11491/MODAPP-205)
   * core: fix user for windows service (r:11538/FSCORE-277)
   * core: modify variable expansion code to expand in more places and to fix potential security issue from injecting variables (r:11569,11570)
   * core: look for soundfiles in more locations based on rate (r:11601/MODFORM-23)
   * core: state machine veto behavior changed (r:11610)
   * core: add enable_file_write_buffering variable (r:11677)
   * core: fix garbled audio on media bug during bridge using stateful codecs (FSCORE-288)
   * core: fix tone detect running multiple bugs when detecting multiple tones
   * core: add {instant_ringback=true} to make ringback not wait for indication to generate ringback
   * core: fix segfault from race condition on multiple reloadxml calls (MOODAPP-211)
   * core: modify xml locking so phrases do not lock the xml for the duration of playing them
   * core: replace resampler with the speexdsp resampler
   * core: fix windows calling convention on threads launched that return a value to fix shutdown segfault (FSCORE-298)
   * core: do not auto-export origination_caller_id_* to avoid confusion (r:12052)
   * core: API visibility support (GCC/SUNCC) (FSCORE-264)
   * core: fix leak in exposed event class serialize method (r:12068)
   * core: add volume as possible return value from input callback on embedded languages (r:12114)
   * core: add resampler to seech handles (r:12141)
   * core: add api.getTime to embedded languages (r:12149)
   * freeswitch: allow you to specify -htdocs dir at runtime. (r:11614)
   * fs_cli: add "debug" command to change the esl debug level at runtime (r:11057)
   * iksemel: update to 1.3 (r:11645)
   * libesl: fix disconnect failure (r:11078,11083)
   * libesl: fix solaris build (r:11067,11068)
   * libesl: add c++ wrapper and swigged wrappers for multiple scripting languages
   * libg722_1: fix dct4.h code generator to include the "f" (r:11188-11189,11367)
   * libilbc: update to new library from Steve Underwood
   * mod_amrwb: add amr wideband passthrough codec (r:11971)
   * mod_cepstral: fix failure return code handling (MODASRTTS-9)
   * mod_conference: add 'conference xml_list' and 'conference [conf_name] xml_list' (r:11062-11063)
   * mod_conference: make conference verbose-events param to control if events have all the channel data or not (r:11073-11077)
   * mod_conference: add MINTWO flag to end conference when down to 1 participant (r:11523)
   * mod_conference: refactor conference record function (r:11626)
   * mod_conference: add conference list summary command (MODAPP-197)
   * mod_conference: fix Deadlock or coredump on conference commands play, transfer (MODAPP-209)
   * mod_dahdi_codec: added (MODCODEC-7)
   * mod_dialplan_xml: make previous auto hunt feature optional and off by defaule use auto_hunt=true session or global variable to enable (r:12144)
   * mod_dptools: Add failure_causes channel variable (r:12058)
   * mod_easyroute: add configuration file example for custom-query (r:11055)
   * mod_easyroute: add custom-query configuration option (r:11054)
   * mod_easyroute: fix build error when not configured for odbc (r:11478)
   * mod_easyroute: fix memory leak (r:11611)
   * mod_erlang_event: add ability to spawn a process (module/function) outbound on a specified node. (r:11460,11477)
   * mod_erlang_event: Fix some issues with standing up a new outbound listener and cleaning up after a failed session (r:11479)
   * mod_erlang_event: Fix setting up a listener for an outbound session if one doesn't already exist (r:11488)
   * mod_erlang_event: add "erlang" fscli command (r:11488)
   * mod_erlang_event: Monitor spawned outbound processes for premature exits (r:11489)
   * mod_erlang_event: Allow the event encoding strategy to be configurable; choices are string or binary (r:11495)
   * mod_erlang_event: Allow certain tuple elements to be binaries or strings, to reduce conversion requirements on the erlang side (r:11496)
   * mod_erlang_event: Support sending a message to a registered process to request a pid (when spawning won't cut it) (r:11499)
   * mod_erlang_event: Ensure events received while a pid session is being created aren't discarded but are queued instead (r:11500)
   * mod_erlang_event: Add freeswitch.erl - An erlang module to make talking to mod_erlang_event more painless (r:11525)
   * mod_erlang_event: use rpc:call instead of spawn and to make the registered process argument to handlecall optional (r:11542)


=== debian/control ===
Source: freeswitch
Maintainer: Michal Bielicki <michal.bielicki@voiceworks.pl>
Section: net
Priority: extra
Build-Depends: debhelper (>= 5), fakeroot, wget, automake1.9, autoconf, libtool, unixodbc-dev, libasound2-dev, libcurl3-openssl-dev|libcurl4-openssl-dev, libssl-dev, ncurses-dev, libogg-dev, libvorbis-dev, libperl-dev, libgdbm-dev, libdb-dev, libgnutls-dev, libtiff4-dev, python, libmemcache-dev, memcached, libx11-dev
Standards-Version: 3.7.3

Package: freeswitch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, libc6, unixodbc, libasound2, libcurl3, openssl, libncurses5, libvorbis0a
Recommends: freeswitch-lang-en
Suggests: freeswitch-spidermonkey, freeswitch-lua, freeswitch-perl, freeswitch-sounds-music-8000, monit 
Description: The FreeSWITCH open source telephony platform
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-dbg
Section: devel
Architecture: any
Depends: freeswitch (= ${Source-Version})
Description: The FreeSWITCH(TM) open source telephony platform Debug symbols
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: Development Package for the FreeSWITCH(TM)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-spidermonkey
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: A Javascript engine for FreeSWITCH(TM)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-perl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: A perl engine for FreeSWITCH(TM)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-lua
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: A lua engine for FreeSWITCH(TM)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-codec-passthru-g7231
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: Pass through g723.1 Codec support for the FreeSWITCH(TM)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-codec-passthru-amr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: Pass through AMR Codec support for the FreeSWITCH(TM)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-codec-passthru-g729
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: Pass through g729 Codec support for the FreeSWITCH(TM)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-lang-en
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Recommends: freeswitch-sounds-en-us-callie-8000
Suggests: freeswitch-sounds-en-us-callie-16000, freeswitch-sounds-en-us-callie-32000, freeswitch-sounds-en-us-callie-48000
Description: English language files for the FreeSWITCH(TM)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-sounds-en-us-callie-8000
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: English language files for the FreeSWITCH(TM)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-sounds-music-8000
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: Music on hold files for the FreeSWITCH(TM) (8000)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-sounds-en-us-callie-16000
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: English language files for the FreeSWITCH(TM) (16000)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-sounds-en-us-callie-32000
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: English language files for the FreeSWITCH(TM) (32000)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-sounds-en-us-callie-48000
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: English language files for the FreeSWITCH(TM) (48000)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-lang-de
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: German language files for the FreeSWITCH(TM)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-lang-fr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: French language files for the FreeSWITCH(TM)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-lang-it
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: Italian language files for the FreeSWITCH(TM)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-lang-es
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: Spanish language files for the FreeSWITCH(TM)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-lang-nl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: Dutch language files for the FreeSWITCH(TM)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-lang-ru
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Recommends: freeswitch-sounds-ru-ru-elena-8000
Suggests: freeswitch-sounds-ru-ru-elena-16000, freeswitch-sounds-ru-ru-elena-32000, freeswitch-sounds-ru-ru-elena-48000
Description: Russian language files for the FreeSWITCH(TM)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-sounds-ru-ru-elena-8000
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: Russian language files for the FreeSWITCH(TM)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-sounds-ru-ru-elena-16000
Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1
export DH_OPTIONS
export DH_COMPAT=4
export DEB_DH_INSTALL_SOURCEDIR=debian/tmp
export PASSTHRU_CODEC_MODULES=codecs/mod_g729 codecs/mod_g723_1 codecs/mod_amr
export SPIDERMONKEY_MODULES=languages/mod_spidermonkey languages/mod_spidermonkey_core_db languages/mod_spidermonkey_odbc \
			    languages/mod_spidermonkey_socket languages/mod_spidermonkey_teletone
export APPLICATIONS_MODULES=applications/mod_commands applications/mod_conference applications/mod_dptools applications/mod_enum \
			    applications/mod_esf applications/mod_expr applications/mod_fifo applications/mod_limit \
			    applications/mod_rss applications/mod_voicemail applications/mod_fsv \
			    applications/mod_fax applications/mod_cidlookup applications/mod_curl applications/mod_easyroute \
			    applications/mod_lcr applications/mod_memcache applications/mod_nibblebill applications/mod_snom \
			    applications/mod_spy applications/mod_vmd 
export ASR_TTS_MODULES=asr_tts/mod_tts_commandline
export CODECS_MODULES=codecs/mod_ilbc codecs/mod_h26x codecs/mod_speex codecs/mod_voipcodecs codecs/mod_siren codecs/mod_celt
export DIALPLANS_MODULES=dialplans/mod_dialplan_asterisk dialplans/mod_dialplan_directory dialplans/mod_dialplan_xml
export DIRECTORIES_MODULES=
export DOTNET_MODULES=
export ENDPOINTS_MODULES=endpoints/mod_dingaling endpoints/mod_iax endpoints/mod_portaudio endpoints/mod_sofia \
			 endpoints/mod_loopback ../../libs/openzap/mod_openzap endpoints/mod_skypiax
export EVENT_HANDLERS_MODULES=event_handlers/mod_event_multicast event_handlers/mod_event_socket event_handlers/mod_cdr_csv
export FORMATS_MODULES=formats/mod_local_stream formats/mod_native_file formats/mod_sndfile formats/mod_tone_stream formats/mod_shout
export LANGUAGES_MODULES=languages/mod_perl languages/mod_lua
export LOGGERS_MODULES=loggers/mod_console loggers/mod_logfile loggers/mod_syslog
export SAY_MODULES=say/mod_say_en say/mod_say_it say/mod_say_de say/mod_say_fr say/mod_say_es say/mod_say_nl say/mod_say_ru
export TIMERS_MODULES=
export DISABLED_MODULES=applications/mod_soundtouch directories/mod_ldap languages/mod_java languages/mod_python \
			languages/mod_spidermonkey_skel ast_tts/mod_cepstral asr_tts/mod_lumenvox endpoints/mod_wanpipe \
			event_handlers/mod_event_test event_handlers/mod_radius_cdr event_handlers/mod_zeroconf
export XML_INT_MODULES=xml_int/mod_xml_rpc  xml_int/mod_xml_curl xml_int/mod_xml_cdr
export MYMODULES=$(PASSTHRU_CODEC_MODULES) $(SPIDERMONKEY_MODULES) $(APPLICATIONS_MODULES) $(ASR_TTS_MODULES) $(CODECS_MODULES) $(DIALPLANS_MODULES) $(DIRECTORIES_MODULES) $(DOTNET_MODULES) $(ENDPOINTS_MODULES) $(EVENT_HANDLERS_MODULES) $(FORMATS_MODULES) $(LANGUAGES_MODULES) $(LOGGERS_MODULES) $(SAY_MODULES) $(TIMERS_MODULES) $(XML_INT_MODULES)
export MODULES=$(MYMODULES)

ifndef AUTOCONF
	AUTOCONFS := $(wildcard /usr/bin/autoconf*)
	AUTOCONF = $(shell which autoconf)
ifneq (,$(findstring 2.50,${AUTOCONFS}))
	AUTOCONF = /usr/bin/autoconf2.50
endif
endif

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -ggdb

FEATURES = --enable-core-libedit-support --enable-core-odbc-support --with-libcurl --with-openssl

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	FEATURES += --disable-optimization
endif

config.status: configure
	dh_testdir
	rm -f modules.conf
	touch modules.conf
	echo $(MODULES)
	for i in $(MODULES); do echo $$i >> modules.conf; done
	./configure --prefix=/opt/freeswitch --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) ${FEATURES}

configure:
	if test ! -f Makefile.in ;  then \
	    if test -f ./bootstrap.sh ; then \
		AUTOCONF=${AUTOCONF} ./bootstrap.sh ; \
	    else \
		echo "No Makefile.in and no known way to bootstrap." ; \
		exit 1; \
	    fi; \
	fi;

build: build-stamp
build-stamp:  config.status
	dh_testdir

	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	-$(MAKE) update-clean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub build/config/config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess build/config/config.guess
endif
	rm -f config.status
	rm -f */*/config.status
	rm -f */*/*/config.status
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs -A --sourcedir=debian/tmp

	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install cd-sounds-install cd-sounds-ru-install moh-install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_installinit --sourcedir=debian/tmp
	cp debian/monit/freeswitch.monitrc debian/freeswitch/etc/monit/freeswitch.monitrc
	dh_install --sourcedir=debian/tmp
	dh_link
	dh_strip --dbg-package=freeswitch
	dh_compress
	dh_fixperms --exclude /opt/freeswitch/conf
	dh_installdeb
	dh_shlibdeps --exclude=/opt/freeswitch
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
